package neoseo.kickbot;

public class NotMyKicker implements Kicker {
	private int nKick = 0;

	private static boolean isDirection(int digit)
	{
		return ( 0 <= digit && digit < NUM_OF_DIRECTIONS );
	}

	public String getName() { return "NPC.Tripod"; }
	
	public int kickAtFirst()
	{
		nKick = 1;
		return ( nKick / 2 ) % NUM_OF_DIRECTIONS;
	}

	public int kick(int prevKeeperDirection)
	{
		if (!isDirection(prevKeeperDirection))
			kickAtFirst();

		nKick++;
		return ( nKick / 3 ) % NUM_OF_DIRECTIONS;
	}
}
